Subject: bug#900 closed by [email-masked] (#900: fixed in src:util-linux version 2.41-5devuan2)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Sun, 10 Aug 2025 10:18:09 +0000

This is an automatic notification regarding your bug report
which was filed against the procps package:

#900: procps: w does not query elogind for sessions

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
900: https://bugs.devuan.org/cgi/bugreport.cgi?bug=900
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #900: fixed in src:util-linux version 2.41-5devuan2
From: [email-masked]
To: [email-masked]
Date: Sun, 10 Aug 2025 10:15:04 +0000

Version: 2.41-5devuan2

Source package util-linux (2.41-5devuan2) added to Devuan suite unstable.

This closes bug report 900.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Sun, 10 Aug 2025 09:55:59 +0100
Source: util-linux
Architecture: source
Version: 2.41-5devuan2
Distribution: unstable
Urgency: medium
Maintainer: Devuan Developers <[email-masked]>
Changed-By: Mark Hindley <[email-masked]>
Closes: 900
Changes:
 util-linux (2.41-5devuan2) unstable; urgency=medium
 .
   [ Andrew Bower ]
   * Patch to restore login writing to utmp. (Closes: #900)
Checksums-Sha1:
 3da89a847b257bd03e34c6cd79ad138c7895000c 4661 util-linux_2.41-5devuan2.dsc
 ae3ed10120cd2bbda606ac74c7024ae32aa7c6dd 129908 util-linux_2.41-5devuan2.debian.tar.xz
 a985d2eaf3f3470afa694580d4379ab2bf531574 5620 util-linux_2.41-5devuan2_source.buildinfo
Checksums-Sha256:
 fe854366ba440ae19b02c93e3673262f827510cebf53f3dcb87c5830d7201b1d 4661 util-linux_2.41-5devuan2.dsc
 71b5c0c74cb45705a61c6245a3ce29c7350324dfe27f7dc226f85b1ad7654f54 129908 util-linux_2.41-5devuan2.debian.tar.xz
 c0a6552bffa3bedf97741a81e83f175513f2e0b0ec20b8ced3bb21b1253d5569 5620 util-linux_2.41-5devuan2_source.buildinfo
Files:
 3baf52e7c0cf7421342dd4cff943d32f 4661 utils required util-linux_2.41-5devuan2.dsc
 69418f1a917d62f12d3bfbcb1e20b0ee 129908 utils required util-linux_2.41-5devuan2.debian.tar.xz
 5f37ca9e997ac3e5afd14a99a6aabf6d 5620 utils required util-linux_2.41-5devuan2_source.buildinfo

Subject: procps: w does not query elogind for sessions
From: Andrew Bower <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Sun, 27 Jul 2025 23:47:26 +0100

Package: procps
Version: 2:4.0.4-8devuan1
Severity: grave

Dear Maintainer,

Running 'w' returns only sessions that are lucky enough still to be recorded in
utmp, and not any sessions that only elogind knows about.

Unfortunately with so many components removing utmp support (prematurely, in my
opinion), this makes the tool next to useless in Excalibur. This includes
virtual console logins recorded by 'login'.

I have reported a related issue against Debian at
https://bugs.debian.org/1108549 which relates to elogind not being queried if
sd_booted() returns false, despite sd_get_sessions() being capable of returning
the results needed (coreutils 'who' does this) but have seen no interest in the
bug since I raised it a month ago.

Things may be different in the Devuan fork because I see it is not linked with
libsystemd - which means it would _never_ report such sessions successfully.

Thanks!

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 6 (excalibur/ceres)
Release:	6
Codename:	excalibur ceres
Architecture: x86_64

Kernel: Linux 6.12.37+deb13-amd64 (SMP w/4 CPU threads; PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en
Shell: /bin/sh linked to /usr/bin/dash
Init: runit (via /run/runit.stopit)
LSM: AppArmor: enabled

Versions of packages procps depends on:
ii  init-system-helpers  1.68devuan1
ii  libc6                2.41-9
ii  libncursesw6         6.5+20250216-2
ii  libproc2-0           2:4.0.4-8devuan1
ii  libtinfo6            6.5+20250216-2

Versions of packages procps recommends:
ii  linux-sysctl-defaults  4.12
ii  psmisc                 23.7-2

procps suggests no packages.

-- no debconf information